//Weapon_Sc_Claw5s.cs

//datablock ExplosionData(ScorpClaw5sExplosion : BugBiteExplosion)
//{
//   explosionShape = "base/data/shapes/empty.dts";
//   lifeTimeMS = 500;

//   soundProfile = swordHitSound;

//   particleEmitter = ScorpClaw5sHitEmitter;
//   particleDensity = 15;
//   particleRadius = 0.2;

//   faceViewer     = true;
//   explosionScale = "1 1 1";

//   shakeCamera = true;
//   camShakeFreq = "2.0 2.0 2.0";
//   camShakeAmp = "10.0 12.0 5.0";
//   camShakeDuration = 0.1;
//   camShakeRadius = 8.0;
//};


//projectile
AddDamageType("ScorpionClaw5",   '<bitmap:add-ons/Bot_BugMod1/CI_scorpionClaw5> %1',    '%2 <bitmap:add-ons/Bot_BugMod1/CI_scorpionClaw5> %1',0.75,1);
datablock ProjectileData(ScorpClaw5sProjectile)
{
   directDamage        = 20;
   directDamageType  = $DamageType::ScorpionClaw5;
   radiusDamageType  = $DamageType::ScorpionClaw5;
   explosion           = MiteBiteExplosion;

	impactImpulse	   = 200;
	verticalImpulse	   = 0;

   muzzleVelocity      = 90;
   velInheritFactor    = 1;

   armingDelay         = 0;
   lifetime            = 100;
   fadeDelay           = 70;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = false;
   gravityMod = 0.0;

//   hasLight    = false;
//   lightRadius = 3.0;
//   lightColor  = "0 0 0.5";

   uiName = "Scorpion Claw5s";
};


//////////
// item //
//////////
datablock ItemData(ScorpClaw5sItem : BugBiteItem)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	// Basic Item Properties
	shapeFile = "base/data/shapes/empty.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = false;

	//gui stuff
	uiName = "Skorp Claws - 4";
	iconName = "./Icon_ScorpClaw5";
//	doColorShift = false;
//	colorShiftColor = "0.471 0.471 0.471 1.000";

	// Dynamic properties defined by the scripts
	image = ScorpClaw5sImage;
	canDrop = false;
};

////////////////
//weapon image//
////////////////
datablock ShapeBaseImageData(ScorpClaw5sImage : BugBiteImage)
{
   // Basic Item properties
	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";

   // When firing from a point offset from the eye, muzzle correction
   // will adjust the muzzle vector to point to the eye LOS point.
   // Since this weapon doesn't actually fire from the muzzle point,
   // we need to turn this off.  
   correctMuzzleVector = false;

   eyeOffset = "0 0 0";

   // Add the WeaponImage namespace as a parent, WeaponImage namespace
   // provides some hooks into the inventory system.
   className = "WeaponImage";

   // Projectile && Ammo.
   item = BowItem;
   ammo = " ";
   projectile = ScorpClaw5sProjectile;
   projectileType = Projectile;

   //melee particles shoot from eye node for consistancy
   melee = true;
   doRetraction = false;
   //raise your arm up or not
   armReady = false;

   //casing = " ";
//   doColorShift = false;
//   colorShiftColor = "0.471 0.471 0.471 1.000";

   // Images have a state system which controls how the animations
   // are run, which sounds are played, script callbacks, etc. This
   // state system is downloaded to the client so that clients can
   // predict state changes and animate accordingly.  The following
   // system supports basic ready->fire->reload transitions as
   // well as a no-ammo->dryfire idle state.

   // Initial start up state
	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.5;
	stateTransitionOnTimeout[0]      = "Ready";
//	stateSound[0]                    = swordDrawSound;

	stateName[1]                     = "Ready";
	stateTransitionOnTriggerDown[1]  = "Fire";
	stateAllowImageChange[1]         = true;

	stateName[2]                    = "Fire";
	stateTransitionOnTimeout[2]     = "Fire2";
	stateTimeoutValue[2]            = 0.1;
	stateFire[2]                    = true;
	stateAllowImageChange[2]        = false;
//	stateSequence[2]                = "Fire";
	stateScript[2]                  = "onFire";
	stateWaitForTimeout[2]		= true;


	stateName[3]                    = "Fire2";
	stateTransitionOnTimeout[3]     = "Recharge";
	stateTimeoutValue[3]            = 0.1;
	stateFire[3]                    = true;
	stateAllowImageChange[3]        = false;
//	stateSequence[3]                = "Fire";
	stateScript[3]                  = "onFireTwo";
	stateWaitForTimeout[3]		= true;

	
	stateName[4]                    = "Recharge";
	stateTransitionOnTimeout[4]     = "Ready";
	stateTimeoutValue[4]            = 0.15;
	stateAllowImageChange[4]        = false;
	stateWaitForTimeout[4]			= true;
//	stateSequence[4]                = "StopFire";
//	stateScript[4]                  = "onStopFire";
};

function ScorpClaw5sImage::onFire(%this, %obj, %slot)
{
	if(%obj.getDamagePercent() < 1.0)	
		%obj.playthread(2, activate);
	Parent::onFire(%this,%obj,%slot);
}
function ScorpClaw5sImage::onFireTwo(%this, %obj, %slot)
{
	Parent::onFire(%this,%obj,%slot);
}
